Subject: Re: Winter Wheat
From: [email-masked] (Brian Ehlert)
Date: 29 Jul 1994 05:32:55 -0600
Newsgroups: alt.sustainable.agriculture

In article <psmith.775427905@superior>,
Peter Smith <[email-masked]> wrote:
>Anyone have any experience with small-scale winter wheat plantings?  I
>would like to know recommended pounds per acre or 1000 sq feet when
>using a broadcast seeder.
>
>Thanks in advance!

The latest recommendation that I have been given is 1.5 to 2 million 
seeds per acre.  The number of seeds per pound should be on the bag or 
obtainable from the producer/seed company.

You can break this down in size as you see fit.

BrianE
-- 
=========
"Hey, don't you know, we're just products of our time"
"Hey, what do you say, show me yours, I'll show you mine"  -Boingo